Plans

Make a plan private or visible to the whole workspace

PUT
/v1/projects/{projectSlug}/plans/{planShortId}/sharing/visibility

Authorization

bearerAuth
AuthorizationBearer <token>

A personal API key (psk_…) or an OAuth access token (plan_at_…). Scopes: read, write.

In: header

Path Parameters

projectSlug*string

Project slug, e.g. recipe-box.

planShortId*string

Plan handle within the project, e.g. PLAN-12.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/projects/string/plans/string/sharing/visibility" \  -H "Content-Type: application/json" \  -d '{    "visibility": "PRIVATE"  }'
{  "plan": {    "id": "string",    "shortId": "string",    "visibility": "PRIVATE"  },  "rootPlanId": "string",  "publicLinkCount": 0,  "publicLinkWarning": "string"}